using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

namespace Telerik.Web.Examples.TabStrip.ApplicationScenarios.Wizard
{
	public partial class EducationCS : System.Web.UI.UserControl
	{
		protected void Page_Load(object sender, EventArgs e)
		{

		}

		protected void nextButton_Click(object sender, EventArgs e)
		{
			UpdatePreview();
			
			GoToNextTab();
		}

		private void UpdatePreview()
		{
            Control previewControl = this.Parent.Parent.Parent.FindControl("previewControl");

			Label educationLabelPreview = (Label)previewControl.FindControl("educationLabel");
			educationLabelPreview.Text = educationDropDownList.SelectedValue;

			Label educationNameLabelPreview = (Label)previewControl.FindControl("educationNameLabel");
			educationNameLabelPreview.Text = nameTextBox.Text;

			Label educationAddressLabelPreview = (Label)previewControl.FindControl("educationAddressLabel");
			educationAddressLabelPreview.Text = addressTextBox.Text;

			Label graduationYearLabelPreview = (Label)previewControl.FindControl("graduationYearLabel");
			graduationYearLabelPreview.Text = graduationYearDropDownList.SelectedValue;

			Label majorFieldsLabelPreview = (Label)previewControl.FindControl("majorFieldsLabel");
			foreach (ListItem majorField in majorFieldOfStudyListBox.Items)
			{
				if (majorField.Selected)
					majorFieldsLabelPreview.Text += majorField.Text + "<br />";
			}

			Label minorFieldsLabelPreview = (Label)previewControl.FindControl("minorFieldsLabel");
			foreach (ListItem minorField in minorFieldOfStudyListBox.Items)
			{
				if (minorField.Selected)
					minorFieldsLabelPreview.Text += minorField.Text + "<br />";
			}
		}

		private void GoToNextTab()
		{
            RadTabStrip tabStrip = (RadTabStrip)this.Parent.Parent.Parent.FindControl("RadTabStrip1");
			RadTab professionalInfoTab = tabStrip.FindTabByText("Professional Info");
			professionalInfoTab.Enabled = true;
			professionalInfoTab.Selected = true;

			GoToNextPageView();
		}

		private void GoToNextPageView()
		{
            RadMultiPage multiPage = (RadMultiPage)this.Parent.Parent.Parent.FindControl("RadMultiPage1");
			RadPageView professionalInfoPageView = multiPage.FindPageViewByID("Professional");

			if (professionalInfoPageView == null)
			{
				professionalInfoPageView = new RadPageView();
				professionalInfoPageView.ID = "Professional";
				multiPage.PageViews.Add(professionalInfoPageView);
			}

			professionalInfoPageView.Selected = true;
		}
	}
}
